EDIT - feature request #10003

Implement specimen status in Data portal
03/28/2022 01:19 PM - Andreas Mdller

Status: Closed Start date: 04/29/2022
Priority: Highest Due date: 05/04/2022
Assignee: Andreas Muller % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.32

Severity: normal

Description

see #2506 for information on the "status" attribute

The information is already shown in long labels but not for atomized data everywhere where atomized data is shown (Derivate tree,
Derivate path and Compressed derivate table). Needs probably discussion on details where and how to show it.

Write tests!

Related issues:
Related to EDIT - feature request #2506: (Type-) Specimens may need status Closed
Related to EDIT - feature request #9939: Implement specimen status in TaxEditor Closed 03/11/2022 03/31/2022

Associated revisions

Revision d60856f1 - 05/05/2022 11:31 AM - Katja Luther
ref #10003: add status to specimen detail page

Revision f957f649 - 05/05/2022 11:47 AM - Katja Luther
ref #10003: add status to derivate path view

Revision Occ7c¢c5b5 - 05/05/2022 01:21 PM - Katja Luther
ref #10003: new statusDto and add status to derivedUnitDTO

Revision a13¢c6392 - 05/05/2022 02:21 PM - Katja Luther
ref #10003: add tests

Revision 69d1d0e6 - 05/05/2022 05:37 PM - Katja Luther
ref #10003: adapt tests

Revision 35c7ecf0 - 05/06/2022 09:52 AM - Katja Luther
ref #10003: adapt tests

Revision 92363451 - 05/06/2022 11:26 AM - Katja Luther
ref #10003: add compose status method

Revision 142acf49 - 05/10/2022 01:07 PM - Katja Luther

ref #10003: temporarely comment out the failing line in test

Revision ce9d99b6 - 05/10/2022 01:13 PM - Katja Luther
ref #10003: fix test

History

#1 - 03/28/2022 01:19 PM - Andreas Miiller
- Related to feature request #2506: (Type-) Specimens may need status added

- Related to feature request #9939: Implement specimen status in TaxEditor added
https://dev.e-taxonomy.eu/redmine/issues/2506

#2 - 03/28/2022 01:33 PM - Andreas Miiller
- Description updated

- Priority changed from New to Highest
As it is implemented in TaxEditor already it should be implemented in dataportal soon.

#3 - 04/27/2022 12:33 PM - Andreas Miiller
- Due date set to 05/04/2022
- Start date set to 04/29/2022

#4 - 04/27/2022 12:34 PM - Katja Luther

- Description updated

#5 - 05/05/2022 11:49 AM - Katja Luther

Added the status to derivate path and detailed specimen page
details view (in tree view and details page)

& Diatom Reference Library D29 L

A& Germany, Berlin, Feldsttick 21 der BBA, Berlin, alt. 56 - 58 m, 52°27'38.988"N, 13°17'48.984"E, 19
Oct 2004, Buhr s. n. 4

&3 Diatom Reference Library D27 &

Material Sample
Kind of unit  environmental
sample

Collection  Diatom Reference
Library at B
Catalog number D27

# Diatom Reference Library D27_003 4
Living Specimen (ex situ) Identification
Kind of unit  culture strain Mayamaea terrestris N.Abarca & R.Jahn,
Collection  Diatom Reference 2014, Abarca, N. & Jahn, R.
Library at B

Catalog number  D27_003

Status  dried out
4 Diatom Reference Library B 40 0040840
E DNA Bank DB 8655

# Diatom Reference Library D27_006

N N N R

# Diatom Reference Library D27_009

derivate path:
:Germanv, Berlin, Feldstlick 21 der BBA, Berlin, alt. 56 - 58 m, 52°27'38.988"N, 13°17'48.984"E, 19 Oc
2004, Buhr s. n. (Diatom Reference Library: D27_003, dried out)

Record basis: Living Specimen (ex situ)

Notes: Preparation Type: clone culture Preparation Agent: Bansemer, Jana

Catalog number: D27_003

Kind of unit: culture strain

Collection: Diatom Reference Library at B

Most significant identifier: D27_003

Determinations: Mayamaea terrestris N.Abarca & R.Jahn, 2014, Abarca, N. & Jahn, R.
Status: dried out

#6 - 05/05/2022 11:54 AM - Katja Luther
- Status changed from New to In Progress

- % Done changed from 0 to 30

#7 - 05/05/2022 12:42 PM - Katja Luther

- File Screenshot_specimen_details_status.png added

#8 - 05/05/2022 12:45 PM - Katja Luther

- File Screenshot_specimen_derivation_path_status.png added

#9 - 05/05/2022 02:17 PM - Katja Luther
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

There are example data for Miconia cubacinerea.

https://int.e-taxonomy.eu/dataportal/integration/reference/cdm_dataportal/taxon/c6716cee-2039-4ba8-a239-4b1b353f9c84/specimens

#10 - 05/06/2022 09:49 AM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 30 to 60
There is still a failing test

#11 - 05/11/2022 11:11 AM - Andreas Miiller
- Status changed from Feedback to Resolved
- Assignee changed from Katja Luther to Andreas Miiller

- % Done changed from 60 to 80

#12 - 05/13/2022 11:42 AM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 80 to 100

Seems to work as expected and can be closed.

Files
Screenshot_specimen_details_status.png 95.4 KB 05/05/2022 Katja Luther
Screenshot_specimen_derivation_path_status.png 59.4 KB 05/05/2022 Katja Luther
